function MakeGooBalloon(self, x, y)
	local ToBalloon = CreateMOSRotating("GooBalloon");
	ToBalloon.Pos = self.Target.Pos + Vector(x,y);
	MovableMan:AddParticle(ToBalloon);
end

function MakeGooificationSound(self, x, y)
	local ToSound = CreateMOSRotating("Gooification");
	ToSound.Pos = self.Target.Pos + Vector(x,y);
	MovableMan:AddParticle(ToSound);
-- hurf durf I don't know how to spawn particles, so I just copied the spawn particle function from above
end

function Create(self)

	self.FoundTarget = false;
	self.HurtTarget = false;
	self.Target = nil;
	self.MadeSkeli = false;
	self.SkeletonCreateList = {"Mu-Ilaak Brain", "Mu-Ilaak Sentry", "Mu-Ilaak Mauler", "Mu-Ilaak Head Sentry", "Mu-Ilaak Head Mauler"};
 
end

function Update(self)

	if self.FoundTarget == true then

		if self.MadeSkeli == false then

			if self.Target.Health < 90 then

				for _, presetname in pairs(self.SkeletonCreateList) do

					if presetname == self.Target.PresetName then
						self.Target.ToDelete = true
						self.Skeli = CreateAHuman("Skeleton");
						self.Skeli.Pos = self.Target.Pos;
						self.Skeli.Team = -1;
						self.Skeli.Health = 0;
						self.Skeli.RotAngle = self.Target.RotAngle

						if self.Target.HFlipped == true then
			
							self.Skeli.HFlipped = true
							MovableMan:AddActor(self.Skeli);
							self.MadeSkeli = true;
	  						MakeGooBalloon(self, 0, 0);
							MakeGooBalloon(self, 0, -10);
							MakeGooBalloon(self, 0, -20);
							MakeGooBalloon(self, 10, -10);
							MakeGooBalloon(self, -10, -10);
							MakeGooBalloon(self, 0, 10);
							MakeGooificationSound(self, 0, 0);
							print("HFlip spawn");
							break;
							
						else

							MovableMan:AddActor(self.Skeli);
							self.MadeSkeli = true;
							MakeGooBalloon(self, 0, 0);
							MakeGooBalloon(self, 0, -10);
							MakeGooBalloon(self, 0, -20);
							MakeGooBalloon(self, 10, -10);
							MakeGooBalloon(self, -10, -10);
							MakeGooBalloon(self, 0, 10);
							MakeGooificationSound(self, 0, 0);
							print("No HFlip Spawn");
							break;
							
						end
					
						else
						
							if presetname == "End" then

							self.Target.ToDelete = true
							MakeGooBalloon(self, 0, 0);
							MakeGooBalloon(self, 0, -15);
							MakeGooBalloon(self, 0, 15);
							MakeGooBalloon(self, 0, -30);
							MakeGooBalloon(self, 15, 0);
							MakeGooBalloon(self, -15, 0);
							MakeGooificationSound(self, 0, 0);
							self.MadeSkeli = true;
							print("Generic Spawn");
							break;
							
							end
					
					end

				end


		else

			if self.HurtTarget == false then
				self.Target.Health = self.Target.Health - 5;
				self.HurtTarget = true;
	 
			end
	 
		end

	end

	else

	local curdist = 35;

	for actor in MovableMan.Actors do
		local avgx = actor.Pos.X - self.Pos.X;
		local avgy = actor.Pos.Y - self.Pos.Y;
		local dist = math.sqrt(avgx ^ 2 + avgy ^ 2);

		if dist < curdist then

		curdist = dist;
		self.Target = actor;
		self.FoundTarget = true;

		end

	end

end

end